# App public

## GET /v1/public-apps

> Lists all publicly approved apps

```json
{"openapi":"3.0.0","info":{"title":"ChatCaptain API","version":"1.0"},"tags":[{"name":"App public","description":""}],"servers":[{"url":"https://api.chatcaptain.com","description":"Production"}],"paths":{"/v1/public-apps":{"get":{"operationId":"CcAppPublicController_listApprovedPublicApps[1]_v1","parameters":[],"responses":{"200":{"description":"List of all public apps.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListApprovedPublicAppsResponseDto"}}}}},"summary":"Lists all publicly approved apps","tags":["App public"]}}},"components":{"schemas":{"ListApprovedPublicAppsResponseDto":{"type":"object","properties":{"error":{"type":"string","description":"Optional error message."},"publicApps":{"description":"A list of retrieved apps.","type":"array","items":{"$ref":"#/components/schemas/PublicAppDto"}}},"required":["publicApps"]},"PublicAppDto":{"type":"object","properties":{"id":{"type":"string","description":"The Id of the app."},"versionCount":{"type":"number","description":"Total number of versions for this app."},"hasApprovedVersion":{"type":"boolean","description":"Indicates whether at least one version has been approved."},"lastVersionRequested":{"type":"string","description":"Timestamp of the most recent version request (ISO format)."},"lastVersionApproved":{"type":"string","description":"Timestamp of the last approved version (ISO format)."},"name":{"type":"string","description":"Name of the app."}},"required":["id","versionCount","hasApprovedVersion","lastVersionRequested","name"]}}}}
```

## GET /v1/public-apps/{appId}/versions

> Lists all approved versions for a specific public app

```json
{"openapi":"3.0.0","info":{"title":"ChatCaptain API","version":"1.0"},"tags":[{"name":"App public","description":""}],"servers":[{"url":"https://api.chatcaptain.com","description":"Production"}],"paths":{"/v1/public-apps/{appId}/versions":{"get":{"operationId":"CcAppPublicController_listApprovedVersions[1]_v1","parameters":[{"name":"appId","required":true,"in":"path","description":"The ID of the public app.","schema":{"type":"string"}}],"responses":{"200":{"description":"List of approved versions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListApprovedVersionsResponseDto"}}}}},"summary":"Lists all approved versions for a specific public app","tags":["App public"]}}},"components":{"schemas":{"ListApprovedVersionsResponseDto":{"type":"object","properties":{"error":{"type":"string","description":"Optional error message."},"appVersions":{"description":"A list of retrieved app versions.","type":"array","items":{"$ref":"#/components/schemas/AppVersionDto"}}},"required":["appVersions"]},"AppVersionDto":{"type":"object","properties":{"id":{"type":"string","description":"The Id of the app version."},"name":{"type":"string","description":"The name of the app."},"owner":{"type":"string","description":"The id of the workspace the app originates from."},"state":{"description":"The state of the version.\n\n- `0`: IN_QUEUE\n- `1`: IN_PROGRESS\n- `2`: APPROVED\n- `3`: REJECTED\n- `4`: WITHDRAWN","allOf":[{"$ref":"#/components/schemas/AppVersionReleaseState"}]},"requested":{"type":"string","description":"Timestamp of when the app versions approval was requested (ISO format)."},"inQueue":{"type":"string","description":"Timestamp of when the version entered the queue (ISO format)."},"inProgress":{"type":"string","description":"Timestamp of when the version was in progress (ISO format)."},"approved":{"type":"string","description":"Timestamp of when the version was approved (ISO format)."},"rejected":{"type":"string","description":"Timestamp of when the version was rejected (ISO format)."},"withdrawn":{"type":"string","description":"Timestamp of when the version was rejected (ISO format)."},"baseJson":{"type":"string","format":"json","description":"The base data of the app as JSON string."},"emitterUrl":{"type":"string","description":"The URL to which the Event-Emitter can send events from the app. Like when it was installed."},"readme":{"type":"string","description":"README in Markdown format."}},"required":["id","name","owner","state","requested","inQueue","inProgress","approved","rejected","withdrawn","baseJson","emitterUrl","readme"]},"AppVersionReleaseState":{"type":"number","enum":[0,1,2,3,4,-1],"description":"The state of the version.\n\n- `0`: IN_QUEUE\n- `1`: IN_PROGRESS\n- `2`: APPROVED\n- `3`: REJECTED\n- `4`: WITHDRAWN"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chatcaptain.com/api/api-dokumentation/app-public.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
